import React from 'react';
import ModalAccountBody from './ModalAccountBody.jsx';

export default class AccountDialog extends React.Component
{
  constructor(props){
    super(props);
    
  }
  render(){
    return (
      <div className="account_dlgw dlgmodalw" ref="dlgroot">
        <div className="modal" style={{display:'block'}}>
          <div className="modal-dialog">
            <div className="modal-content">
              <div className="modal-header">
                <button className="close" type="button" 
                  data-dismiss="modal" 
                  onClick={e=>{
                    this.modalClose(e);
                  }}
                  aria-label="Close">
                  <span aria-hidden="true">×</span>
                </button>
                <h4 className="modal-title">Account Chooser</h4>
              </div>
              <div className="modal-body" ref="modalBody">
                <ModalAccountBody 
                  setValue={this.props.options.setValue}
                  options={this.props.options}
                  />
              </div>
            </div>
          </div>
        </div>
      </div>
    )
  }
  
  componentDidMount(){
    this.setHeight();
    $(window).on('resize', e=>{
      this.setHeight();
    })
  }
  setHeight(){
    var h = window.innerHeight - 60 - 36;
    $(this.refs.modalBody).css({maxHeight: h+'px'});
  }
  modalClose(e){
    $('body').undelegate('.account_dlgw .itm_account_name','click');
    var node = ReactDOM.findDOMNode(this).parentNode;
    ReactDOM.unmountComponentAtNode(node);
    $('.dlg_div_w').remove();
  }
}